<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$controller = JRequest::getVar('controller','cb_report');

require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');
require_once( JPATH_COMPONENT.DS.'models'.DS.'cb_report.php' );
require_once( JPATH_COMPONENT.DS.'models'.DS.'config.php' );
require_once( JPATH_COMPONENT.DS.'models'.DS.'email_config.php' );
require_once( JPATH_COMPONENT.DS.'views'.DS.$controller.DS.'view.php' );

global $mainframe;

$UElanguagePath		=	JPATH_SITE.'/components/com_comprofiler/plugin/language';
if ( file_exists( $UElanguagePath.'/' . $mainframe->getCfg( 'lang' ) . '/' . $mainframe->getCfg( 'lang' ) . '.php' ) ) {
	include_once( $UElanguagePath . '/' . $mainframe->getCfg( 'lang' ) . '/' . $mainframe->getCfg( 'lang' ) . '.php' );
} else {
	include_once( $UElanguagePath . '/default_language/default_language.php' );
}

// Create the controller
switch($controller){
	case 'config':
		$classname  = 'cb_reportConfigController';
		break;
	case 'email_config':
		$classname  = 'cb_reportConfigEmailController';
		break;
	case 'user_reports':
	default:
		$classname  = 'cb_reportController';
		break;
}
//echo $classname;
//echo JRequest::getVar('task' );



//exit;
$controller = new $classname( array('default_task' => 'display') );
//$controller = new $classname();

// Perform the Request task
$controller->execute( JRequest::getVar('task' ));

// Redirect if set by the controller
$controller->redirect();

function getLangDefinition($text) {
	// check for '::' as a workaround of bug #42770 in PHP 5.2.4 with optimizers:
	if ( ( strpos( $text, '::' ) === false ) && defined( $text ) ) {
		$returnText		=	constant( $text ); 
	} else {
		$returnText		=	$text;
	}
	return $returnText;
}
function vsort($array, $id="id", $sort_ascending=true, $is_object_array = false) {
		$temp_array = array();
		while(count($array)>0) {
			$lowest_id = 0;
			$index=0;
			if($is_object_array){
				foreach ($array as $item) {
					if (isset($item->$id)) {
										if ($array[$lowest_id]->$id) {
						if ($item->$id<$array[$lowest_id]->$id) {
							$lowest_id = $index;
						}
						}
									}
					$index++;
				}
			}else{
				foreach ($array as $item) {
					if (isset($item[$id])) {
						if ($array[$lowest_id][$id]) {
						if ($item[$id]<$array[$lowest_id][$id]) {
							$lowest_id = $index;
						}
						}
									}
					$index++;
				}                             
			}
			$temp_array[] = $array[$lowest_id];
			$array = array_merge(array_slice($array, 0,$lowest_id), array_slice($array, $lowest_id+1));
		}
			if ($sort_ascending) {
					return $temp_array;
			} else {
				return array_reverse($temp_array);
			}
    }
?>
