<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

class cb_reportConfigEmailController extends JController
{

	/**
	 * Custom Constructor
	 */
	//DEVNOTE: register task - Register (map) a task to a method in the class
	//function registerTask( $task, $method )
	function __construct( $default = array())
	{
		parent::__construct( $default );
	}
	function execute($task){
		switch($task){
			case "save":
				$this->saveEmailConfig();
				break;
			case  "cancel":
				$this->cancel();
				break;
			default:
				$this->display();
				break;
		}
	}
	function cancel(){
		$this->setRedirect( 'index.php?option=com_cb_report&controller=cb_report' );
	}
	function display() {
	   $model = &JModel::getInstance( 'cb_reportConfigEmailComponentModel' );
	   $model->getEmailConfig();
	   $view = new cb_reportConfigEmailComponentView( );
	   $view->setModel( $model, true );
	   $view->display();
  	}
	function saveEmailConfig(){
		$model = &JModel::getInstance( 'cb_reportConfigEmailComponentModel' );
		$model->saveEmailConfig();
		$msg = JText::sprintf( 'Successfully Updated Email Config');
		$this->setRedirect( 'index.php?option=com_cb_report&controller=email_config', $msg );
    }
	
}
?>
