-- ----------------------------
-- Table structure for jos_cb_configure
-- ----------------------------
CREATE TABLE `#__cb_configure` (
  `cb_field_id` int(11) NOT NULL,
  `searchable` int(1) default '1',
  `reportable` int(1) default '1',
  `ordering` int(2) default '1',
  PRIMARY KEY  (`cb_field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for jos_cb_configure_report
-- ----------------------------
CREATE TABLE `#__cb_configure_report` (
  `report_id` int(11) NOT NULL default '0',
  `field_id` int(11) NOT NULL,
  `display` int(1) default '1',
  `ordering` int(2) default '1',
  PRIMARY KEY  (`report_id`,`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for jos_cb_field_report
-- ----------------------------
CREATE TABLE `#__cb_field_report` (
  `report_id` int(11) NOT NULL default '0',
  `field_id` int(11) NOT NULL default '0',
  `value` text,
  PRIMARY KEY  (`report_id`,`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for jos_cb_report
-- ----------------------------
CREATE TABLE `#__cb_report` (
  `id` int(11) NOT NULL auto_increment,
  `title` text character set latin1 collate latin1_general_ci,
  `cb_groups` text,
  `public` int(1) default '1',
  `access` int(2) default NULL,
  `date_created` datetime default NULL,
  `last_modify` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
-- ----------------------------
-- Table structure for jos_cb_configure_email
-- ----------------------------
CREATE TABLE `#__cb_configure_email` (
  `id` int(11) NOT NULL default '0',
  `email_admin` text,
  `sign_admin` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__cb_configure_email` VALUES ('1', 'admin@gmail.com', '<strong>Sign admin</strong>');
