<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
class TOOLBAR_cb_report 
{
	function _EDIT(){
		$cid = JRequest::getVar( 'cid', array(0) );
		$edit		= JRequest::getVar('edit',true);
		$text = intval($edit) ? JText::_( 'Edit' ) : JText::_( 'New' );
		JToolBarHelper::title( JText::_( 'Report Creation Wizard' ), 'generic.png' );
		JToolBarHelper::custom( 'save', 'forward', 'forward_f2.png', 'Next',false );
		JToolBarHelper::custom( 'cancel', 'cancel.png', 'cancel_f2.png', 'Cancel',false );
	}
	function _CONFIGUREDISPLAY(){
		JToolBarHelper::title( JText::_( 'Report Creation Wizard' ), 'generic.png' );
		JToolBarHelper::custom( 'step1', 'back.png', 'back_f2.png', 'Previous',false );
		JToolBarHelper::custom( 'step3', 'forward', 'forward_f2.png', 'Next',false );
		JToolBarHelper::custom( 'cancel', 'cancel.png', 'cancel_f2.png', 'Cancel',false );
	}
	function _SAVEREPORT(){
		JToolBarHelper::title( JText::_( 'Report Creation Wizard' ), 'generic.png' );
		JToolBarHelper::custom( 'step2', 'back.png', 'back_f2.png', 'Previous',false );
		JToolBarHelper::custom( 'save_report', 'save.png', 'save_f2.png', 'Save',false );
		JToolBarHelper::custom( 'export_cvs', 'archive', 'archive_f2.png', 'Export',false );
		JToolBarHelper::custom( 'showEmailForm', 'edit', 'edit_f2.png', 'Send mail',false );
		JToolBarHelper::custom( 'cancel', 'cancel.png', 'cancel_f2.png', 'Cancel',false );
	}
	function _SHOWVIEWREPORT(){
		JToolBarHelper::title( JText::_( 'View Report Detail' ), 'generic.png' );
		JToolBarHelper::custom( 'cancel', 'cancel.png', 'cancel_f2.png', 'Cancel',false );
	}
	function _SHOWEMAILFORM(){
		global $report;
		
		JToolBarHelper::title( JText::_( 'Send Email To Users:['.$report->title.']' ), 'generic.png' );
		JToolBarHelper::custom( 'sendmail', 'send.png', 'send_f2.png', 'Send',false );
		JToolBarHelper::custom( 'testmail', 'edit', 'edit_f2.png', 'Test',false );
		JToolBarHelper::custom( 'cancel', 'cancel.png', 'cancel_f2.png', 'Cancel',false );
	}
	function _DEFAULT() {
		/*
		 * DEVNOTE: This should make sense by itself now... 
		 */
		JToolBarHelper::title(   JText::_( 'CB User Reports' ), 'generic.png' );
		JToolBarHelper::addNewX();
		JToolBarHelper::editListX();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList();
	}
	function _PREFERENCES() {
		/*
		 * DEVNOTE: This should make sense by itself now... 
		 */
		JToolBarHelper::title(   JText::_( 'CB User Reports: Report Preferences' ), 'generic.png' );
		JToolBarHelper::custom( 'publish', 'publish.png', 'publish_f2.png', 'In Filter',false );
		JToolBarHelper::custom( 'unpublish', 'unpublish.png', 'unpublish_f2.png', 'Not in Filter',false );
		JToolBarHelper::custom( 'publish_report', 'publish.png', 'publish_f2.png', 'In Reports',false );
		JToolBarHelper::custom( 'unpublish_report', 'unpublish.png', 'unpublish_f2.png', 'Not in Reports',false );
	}
	function _PREFERENCES_EMAIL(){
		JToolBarHelper::title( JText::_( 'CB User Reports: Email Preferences' ), 'generic.png' );
		JToolBarHelper::custom( 'save', 'save.png', 'save_f2.png', 'Save',false );
		JToolBarHelper::custom( 'cancel', 'cancel.png', 'cancel_f2.png', 'Cancel',false );
	}
}
?>
