<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.application.component.view' );

class cb_reportComponentView extends JView
{
	/**
	 * Display the view
	 */
	 var $items;
	 var $pagination;
	 var $lists;
	 
	function setModel($model){
	
		$this->items = $model->items;
		$this->pagination = $model->pagination;
		$this->lists = $model->lists;
	}
	function getFieldValue($id,$fieldid){
		$db 		=& JFactory::getDBO();
		
		$query = "SELECT value FROM #__cb_field_report WHERE report_id=$id AND field_id = $fieldid";
		$db->setQuery( $query);
		$value = $db->loadResult();
		if($value !="")
			return $value;
		else
			return;
	}
	function display()
	{
		//DEVNOTE: set document title
		global $mainframe;
		$mosConfig_live_site = $mainframe->getSiteURL();
		
		$document = & JFactory::getDocument();
		$document->setTitle( JText::_('User Reports') );
		JHTML::_('behavior.tooltip');
    
?>
   <script src="components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
   <script src="components/com_cb_report/js/shadowbox-jquery.js" type="text/javascript" language="javascript"></script>
   <script src="components/com_cb_report/js/shadowbox.js" type="text/javascript" language="javascript"></script>
   <script>
   	jQuery.noConflict();
	Shadowbox.loadSkin('classic', 'components/com_cb_report/js/skin');
	Shadowbox.loadLanguage('en', 'components/com_cb_report/js/lang');
	Shadowbox.loadPlayer(['html'], 'components/com_cb_report/js/player');
	jQuery(document).ready(function () {
			Shadowbox.init({
				// let's skip the automatic setup because we don't have any
				// properly configured link elements on the page
				skipSetup: true
			});
		
	});
	function showViewBox(id){
		jQuery.ajax({
		   type: "POST",
		   async: false,
		   url: "<?php echo $mosConfig_live_site."/administrator/index.php"; ?>",
		   data: "option=com_cb_report&controller=cb_report&task=viewReport&id="+id,
		   success: function(html){
			 	Shadowbox.open({
						player:     'html',
						title:      'View Detail Report',
						content:    html,
						height:     500,
						width:      900
				});
		   }
		});
	}
   	function openWindow(id){
		myRef = window.open('<?php echo $mosConfig_live_site; ?>/administrator/index3.php?option=com_cb_report&task=export_cvs&id='+id,'mywin','left=20,top=20,width=200,height=200,toolbar=0,resizable=0,status=0,menubar=0,location=0');
	}
	
   </script>     
  <form action="index.php?option=com_cb_report&controller=cb_report" method="post" name="adminForm">
	<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
                <?php echo $this->lists['category']; ?>
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
			</td>
		</tr>
	</table>

	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th width="3%" class="title">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?>);" />
				</th>
				<th class="title">
                    <?php echo JHTML::_('grid.sort',   'Name', 'a.title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="5%" class="title" nowrap="nowrap">
                    <?php echo JHTML::_('grid.sort',   'Public', 'a.public', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
                <th width="5%" class="title" nowrap="nowrap">
                    <?php echo JHTML::_('grid.sort',   'Access Level', 'a.access', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="5%" class="title">
					<?php echo JText::_( 'View' ); ?>
				</th>
				<th width="10%" class="title">
					<?php echo JText::_( 'Download' ); ?>
				</th>
                <th width="10%" class="title">
					<?php echo JText::_( 'Send Mail' ); ?>
				</th>
                <th width="2%" class="title">
                    <?php echo JHTML::_('grid.sort',   'ID', 'a.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->items ); $i < $n; $i++)
			{
				$row 	=& $this->items[$i];

				$img 	= $row->public ? 'tick.png' : 'publish_x.png';
				$task 	= $row->public ? 'unpublish' : 'publish';
				$alt 	= $row->public ? JText::_( 'Public' ) : JText::_( 'Public' );
				$link 	= 'index.php?option=com_cb_report&amp;controller=cb_report&amp;task=edit&amp;cid[]='. $row->id. '';

			?>
			<tr class="<?php echo "row$k"; ?>">
				<td align="center">
					<?php echo $i+1+$this->pagination->limitstart;?>
				</td>
				<td align="center">
					<?php echo JHTML::_('grid.id', $i, $row->id ); ?>
				</td>
				<td>
                        <a href="<?php echo $link; ?>">
                            <?php echo $row->title; ?>
                        </a>
				</td>
				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
						<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a>
				</td>
                <td align="center">
                	<?php echo $row->access_level; ?>
				</td>
				<td align="center">
                   <!-- <img src="images/search_f2.png" width="16" height="16" border="0" alt="view detail" onclick="showViewBox('<?php echo $row->id; ?>')" style="cursor:pointer;"/> -->
                   <a href="index.php?option=com_cb_report&controller=cb_report&task=showViewReport&id=<?php echo $row->id; ?>">
                   	<img src="images/search_f2.png" width="16" height="16" border="0" alt="view detail" />
                   </a>
				</td>
				<td nowrap="nowrap" align="center">
                    <img src="images/save_f2.png" width="16" height="16" border="0" alt="download file" onclick="openWindow('<?php echo $row->id; ?>')" style="cursor:pointer;" />
				</td>
                <td nowrap="nowrap" align="center">
                    <a href="index.php?option=com_cb_report&controller=cb_report&task=showEmailForm&id=<?php echo $row->id; ?>">
                   		<img src="images/messaging.png" width="16" height="16" border="0" alt="view detail" />
                   </a>
				</td>
                <td nowrap="nowrap" align="center">
                    <?php echo $row->id; ?>
				</td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="com_cb_report" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
    <input type="hidden" name="controller" value="cb_report" />
    <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php 
  }
  function showViewReport($report,$id,$limit,$limitstart){
  	global $mainframe;
	$mosConfig_live_site = $mainframe->getSiteURL();
	?>
    <script src="components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
    <script>
	jQuery.noConflict();
	jQuery(document).ready(function () {
		jQuery.ajax({
		   type: "POST",
		   async: false,
		   url: "<?php echo $mosConfig_live_site."/administrator/index.php"; ?>",
		   data: "option=com_cb_report&controller=cb_report&task=viewReport&id=<?php echo $id; ?>&limit=<?php echo $limit; ?>&limitstart=<?php echo $limitstart; ?>",
		   success: function(html){
			 	jQuery("#content").html(html);
		   }
		});
	});
	</script>
    <style>
		#headerReport{
			font-weight:bold;
			font-size:15px;
			padding:15px 0px;
			text-transform:uppercase;
		}
	</style>
    <form action="index.php?option=com_cb_report&controller=cb_report" method="post" name="adminForm">
    	<div id="headerReport"><?php echo $report->title; ?></div>
    	<div id="content">
        	
        </div>
    	<input type="hidden" name="option" value="com_cb_report" />
        <input type="hidden" name="task" value="showViewReport" />
        <input type="hidden" name="id" value="<?php echo $id; ?>" />
        <input type="hidden" name="controller" value="cb_report" />
    </form>
    <?php
	
  }
  function displayItem($report,$lists,$fields,$users,$pagination){
  	global $mainframe;
	$mosConfig_live_site = $mainframe->getSiteURL();
	
	JHTML::_('behavior.tooltip');
	
	$query = "\"";
	for($i=0;$i<count($fields);$i++){
		$field = $fields[$i];
		$query .= "&".$field->name."=\" +jQuery(\"#$field->name\").val()+\"";
	}
	$query .= "\"";
  ?>
  	<style>
		a.disable{
			color:#ccc !important;
			text-decoration:none;
			cursor:text !important;
		}
		.filterBox{
			padding:10px;
			background-color:#f6f6f6;
		}
		.admintable{
			margin-top:10px;
		}
		#userList{
			margin-top:10px;
		}
		.loadding{
		   margin: 10px auto;
		   height: 19px;
		   width: 220px;
		   background-image: url(components/com_cb_report/js/skin/classic/loading.gif);
		   background-repeat: no-repeat;
		}
	</style>
  	<script src="components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
    <script>
		jQuery.noConflict();
		jQuery(document).ready(function () {
			jQuery("#submenu").html("<li><b>Steps:</b></li><li><a class=\"active\" href=\"index.php?option=com_cb_report&amp;controller=cb_report&amp;task=edit&amp;cid[]=<?php echo $report->id; ?>\">1.Select data</a></li><li><a href=\"#\" class='disable'>2.Configure Display</a></li><li><a href=\"#\" class='disable'>3.Save Report</a></li>");
		});
		function getListUser(){
			limit = document.adminForm.limit.value;
			limitstart = document.adminForm.limitstart.value;
			jQuery('#userList').html("<div class='loadding'></div>");
			jQuery.ajax({
			   type: "POST",
			   async: false,
			   url: "<?php echo $mosConfig_live_site."/administrator/index.php"; ?>",
			   data: "option=com_cb_report&controller=cb_report&task=getUsers&gid="+jQuery("#gid").val()+<?php echo $query; ?>+"&filter_order="+jQuery("#filter_order").val()+"&filter_order_Dir="+jQuery("#filter_order_Dir").val()+"&limit="+limit+"&limitstart="+limitstart,
			   async: false,
			   success: function(html){
				 jQuery('#userList').html(html);
			   }
			});
		}
		function tableOrdering( order, dir, task ) {
			var form = document.adminForm;
		
			form.filter_order.value 	= order;
			form.filter_order_Dir.value	= dir;
			getListUser();
	   }
	   function submitform(pressbutton){
	     if(pressbutton || typeof document.adminForm.onsubmit == "function"){
			if (pressbutton) {
				document.adminForm.task.value=pressbutton;
			}
			if (typeof document.adminForm.onsubmit == "function") {
				document.adminForm.onsubmit();
			}
			document.adminForm.submit();
		}else{
			getListUser();
		}
	  }
	</script>
  	<form action="index.php?option=com_cb_report&controller=cb_report" method="post" name="adminForm" autocomplete="off">
	
    <p>Select and preview the records to display in the report.</p>
    <div class="clr"></div>
    <div class="filterBox">
    <img src="images/downarrow0.png" width="16" height="16" border="0" />&nbsp;Filter:
    <table class="admintable" cellspacing="1" border="0">
       <tr valign="top"><td>
       		<table cellpadding="1">
                <tr>
                    <td valign="top">
                        <label for="gid">
                            <?php echo JText::_( 'Group' ); ?>:
                        </label>
                    </td>
                    <td>
                        <?php echo $lists['gid']; ?>
                        <br />
                        <span style="color:#bbb;">Ctrl + click to select multiple groups</span>
                    </td>
                </tr>
            </table>
         </td>
         <td>
         <?php for($i=0;$i<count($fields);$i++){ 
		 	$field = $fields[$i];
		 ?>
         	<table cellpadding="1">
                <tr>
                    <td valign="top" width="50%">
                        <label for="gid">
                            <?php echo htmlspecialchars( getLangDefinition($field->title) ); ?>:
                        </label>
                    </td>
                    <td>
                        <input type="text" value="<?php echo $this->getFieldValue($report->id,$field->fieldid); ?>" name="<?php echo $field->name; ?>" size="30" id="<?php echo $field->name; ?>"/>
                    </td>
                </tr>
            </table>
         <?php 
		 		if($i%4==0 && $i != 0)
					echo "</td><td>";
		 	} 
		 ?>
         </td>
         </tr>
         <tr>
         	<td colspan="<?php echo (count($fields)/4 + 1); ?>" align="right">
            	<input type="button" value="Go" onclick="getListUser()"/>&nbsp;&nbsp;
                <input type="reset" value="Reset" />
            </td>
         </tr>
    </table>
   </div>
    <div id="userList">
    <?php
    	if(count($users) > 0){
	?>
        <table class="adminlist" cellpadding="1">
            <thead>
                <tr>
                    <th width="2%" class="title">
                        <?php echo JText::_( 'NUM' ); ?>
                    </th>
                    <th class="title">
                        <?php echo JHTML::_('grid.sort',   'Name', 'u.name', @$lists['order_Dir'], @$lists['order'] ); ?>
                    </th>
                    <th width="15%" class="title" nowrap="nowrap">
                        <?php echo JHTML::_('grid.sort',   'Username', 'u.username', @$lists['order_Dir'], @$lists['order'] ); ?>
                    </th>
                    <th width="15%" class="title" nowrap="nowrap">
                        <?php echo JHTML::_('grid.sort',   'Email', 'u.email', @$lists['order_Dir'], @$lists['order'] ); ?>
                    </th>
                    <th width="10%" class="title">
                        <?php echo JHTML::_('grid.sort',   'Group', 'u.usertype', @$lists['order_Dir'], @$lists['order'] ); ?>
                    </th>
                    <th width="5%" class="title">
                        <?php echo JHTML::_('grid.sort',   'Enabled', 'u.block', @$lists['order_Dir'], @$lists['order'] ); ?>
                     </th>
                </tr>
            </thead>
            <tfoot>
			<tr>
				<td colspan="6">
					<?php echo $pagination->getListFooter(); ?>
				</td>
			</tr>
		   </tfoot>
            <?php
                $k = 0;
                for ($i=0, $n=count( $users ); $i < $n; $i++)
                {
                    $row 	= $users[$i];
    
                    $img 	= $row->block ? 'publish_x.png' : 'tick.png';
					$task 	= $row->block ? 'publish' : 'unpublish';
					$alt 	= $row->block ? JText::_( 'UnPublic' ) : JText::_( 'Public' );
    
                ?>
                <tr class="<?php echo "row$k"; ?>">
                    <td>
                        <?php echo $i+1+$pagination->limitstart;?>
                    </td>
                    <td style="color:#0B55C4">
                        <?php echo $row->name; ?>
                    </td>
                    <td>
                        <?php echo $row->username; ?>
                    </td>
                    <td style="color:#0B55C4">
                        <?php echo $row->email; ?>
                    </td>
                    <td>
                        <?php echo $row->usertype; ?>
                    </td>
                    <td align="center">
                            <img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" />
                    </td>
                </tr>
                <?php
                    $k = 1 - $k;
                    }
                ?>
        	</table>
        <?php
        }else{
		?>
        	 <input type="hidden" name="limit" id="limit" value="<?php echo $mainframe->getCfg('list_limit'); ?>" />
			 <input type="hidden" name="limitstart" id="limitstart"  value="0" />
        <?php
		}
        ?>
    </div>
    <input type="hidden" name="filter_order" id="filter_order" value="<?php echo $lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" id="filter_order_Dir"  value="<?php echo $lists['order_Dir']; ?>" />
    <input type="hidden" name="id" value="<?php echo $report->id; ?>" />
	<input type="hidden" name="cid[]" value="<?php echo $report->id; ?>" />
	<input type="hidden" name="option" value="com_cb_report" />
    <input type="hidden" name="next_step" value="select_fields" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
    </form>
  <?php
  }
  function displayConfigure($displayFields,$id,$lists)
	{
		//DEVNOTE: set document title
		global $mainframe;
		$mosConfig_live_site = $mainframe->getSiteURL();
		
		$document = & JFactory::getDocument();
		$document->setTitle( JText::_('Report Creation Wizard: Configure Display') );
		JHTML::_('behavior.tooltip');
    //DEVNOTE: Print Hellpworld and language name
?>
  <style>
		a.disable{
			color:#ccc !important;
			text-decoration:none;
			cursor:text !important;
		}
		.filterBox{
			padding:0px;
			background-color:#f6f6f6;
			margin-bottom:10px;
			overflow:auto;
			_height:1%;
		}
		.subToolbar{
			width:200px;
			float:right;
			margin-top:10px;
		}
		.subToolbar a {
			font-weight:bold;
			text-decoration:none;
		}
		.subToolbar img{
			margin-left:20px;
			margin-right:5px;
		}
		.filterBox p{
			width:300px;
			float:left;
		}
	</style>
  	<script src="components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
    <script>
		jQuery.noConflict();
		jQuery(document).ready(function () {
			jQuery("#submenu").html("<li><b>Steps:</b></li><li><a  href=\"index.php?option=com_cb_report&amp;controller=cb_report&amp;task=edit&amp;cid[]=<?php echo $id; ?>\" class='disable'>1.Select data</a></li><li><a class=\"active\" href=\"index.php?option=com_cb_report&amp;controller=cb_report&amp;task=configure_display&amp;id=<?php echo $id; ?>\" >2.Configure Display</a></li><li><a href=\"#\" class='disable'>3.Save Report</a></li>");
		});
	</script>
    <script>
  	function cbsaveorder( n ) {
		checkAll( n );
		submitform('savefieldorder');
	}
  </script>  
  <div class="filterBox">
  	<p>Select the fields to display in the report.</p>
    <div class="subToolbar">
    	<a href="#" onclick="javascript: submitbutton('publishField')" class="toolbar"><img src="images/tick.png" width="16" height="16" border="0" />  Enable</a>
        <a href="#" onclick="javascript: submitbutton('unpublishField')" class="toolbar"><img src="images/publish_x.png" width="16" height="16" border="0" /> Disable</a>
    </div>
  </div>
  <div class="clr"></div>  
  <form action="index.php?option=com_cb_report" method="post" name="adminForm">
	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th width="3%" class="title">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($displayFields); ?>);" />
				</th>
				<th width="50%" class="title">
                    <?php echo JHTML::_('grid.sort',   'Title', 'a.title', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
				<th width="15%" class="title" nowrap="nowrap">
                    <?php echo JHTML::_('grid.sort',   'Display', 'f.display', @$lists['order_Dir'], @$lists['order'] ); ?>
				</th>
                <th width="6%" class="title"><?php echo JHTML::_('grid.sort',   'Order', 'f.ordering', @$lists['order_Dir'], @$lists['order'] ); ?> &nbsp;&nbsp;<a href="javascript: cbsaveorder( <?php echo count( $displayFields )-1; ?> )"><img src="images/filesave.png" border="0" width="16" height="16" alt="Save Order" /></a>
                 </th>
			</tr>
		</thead>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $displayFields ); $i < $n; $i++)
			{
				$row 	= $displayFields[$i];

				$img 	= $row->display ? 'tick.png' : 'publish_x.png';
				$task 	= $row->display ? 'unpublishField' : 'publishField';
				$alt 	= $row->display ? JText::_( 'Public' ) : JText::_( 'Public' );

			?>
			<tr class="<?php echo "row$k"; ?>">
				<td align="center">
					<?php echo $i+1;?>
				</td>
				<td align="center">
					<?php echo JHTML::_('grid.id', $i, $row->fieldid,false,'did'); ?>
				</td>
				<td>
                    <?php echo htmlspecialchars( getLangDefinition($row->title) ); ?>
				</td>
				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
						<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a>
				</td>
				<td class="order">
				<?php    if ($i > 0) { ?>
                	<span>
                     <a href="#reorder" onClick="return listItemTask('cb<?php echo $i;?>','orderupField')">
                        <img src="images/uparrow.png" width="12" height="12" border="0" alt="Move Up" />
                     </a>
                     </span>
                <?php    }else{ echo "<span>&nbsp;</span>";} ?>
                <?php    if ($i < $n-1) { ?>
                <span>
                     <a href="#reorder" onClick="return listItemTask('cb<?php echo $i;?>','orderdownField')">
                        <img src="images/downarrow.png" width="12" height="12" border="0" alt="Move Down" />
                     </a>
                     </span>
                <?php    }else{ echo "<span>&nbsp;</span>";} ?>
                  <input type="text" name="order[]" size="5" value="<?php echo htmlspecialchars( $row->ordering ); ?>" class="text_area" style="text-align: center" />
                  </td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>
	<input type="hidden" name="id" value="<?php echo $id; ?>" />
	<input type="hidden" name="cid[]" value="<?php echo $id; ?>" />
	<input type="hidden" name="option" value="com_cb_report" />
    <input type="hidden" name="controller" value="cb_report" />
	<input type="hidden" name="task" value="configure_display" />
	<input type="hidden" name="boxchecked" value="0" />
    <input type="hidden" name="filter_order_field" id="filter_order" value="<?php echo $lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir_field" id="filter_order_Dir"  value="<?php echo $lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php 
  }
  function finishReport($report,$lists,$id){
		//DEVNOTE: set document title
		global $mainframe;
		$mosConfig_live_site = $mainframe->getSiteURL();
		
		$document = & JFactory::getDocument();
		$document->setTitle( JText::_('Report Creation Wizard: Save Report') );
		JHTML::_('behavior.tooltip');
    //DEVNOTE: Print Hellpworld and language name
?>
  <style>
		a.disable{
			color:#ccc !important;
			text-decoration:none;
			cursor:text !important;
		}
		.admintable{
			border:1px solid #ccc;
			background-color:#F6F6F6;
		}
	</style>
  	<script src="components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
    <script>
		jQuery.noConflict();
		jQuery(document).ready(function () {
			jQuery("#submenu").html("<li><b>Steps:</b></li><li><a  href=\"index.php?option=com_cb_report&amp;controller=cb_report&amp;task=edit&amp;cid[]=<?php echo $id; ?>\" class='disable'>1.Select data</a></li><li><a class=\"disable\" href=\"index.php?option=com_cb_report&amp;controller=cb_report&amp;task=configure_display&amp;id=<?php echo $id; ?>\" >2.Configure Display</a></li><li><a href=\"index.php?option=com_cb_report&amp;controller=cb_report&amp;task=step3&amp;id=<?php echo $id; ?>\" class='active'>3.Save Report</a></li>");
		});
	</script>
    <script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'step2' || pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		var r = new RegExp("[\<|\>|\"|\'|\%|\;|\(|\)|\&]", "i");

		// do field validation
		if (trim(form.title.value) == "") {
			alert( "<?php echo JText::_( 'You must provide a title for report.', true ); ?>" );		
		} else if (form.access.value == "") {
			alert( "<?php echo JText::_( 'You must assign report to a group access.', true ); ?>" );
		} else {
			submitform( pressbutton );
		}
	}
 </script>
  <form action="index.php?option=com_cb_report" method="post" name="adminForm">
	<table class="admintable" cellpadding="1" width="100%">
		<tbody>
			<tr>
            	<td width="10%" align="right"><b><?php echo JText::_( 'Report Title' ); ?></b>:</td>
                <td><input type="text" value="<?php echo $report->title; ?>" name="title" size="40" /></td>
            </tr>
            <tr>
            	<td width="10%" align="right"><b><?php echo JText::_( 'Access Level' ); ?></b>:</td>
                <td><?php echo $lists["access"]; ?></td>
            </tr>
		</tbody>
	</table>
	<input type="hidden" name="id" value="<?php echo $id; ?>" />
	<input type="hidden" name="option" value="com_cb_report" />
    <input type="hidden" name="controller" value="cb_report" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php 
  }
  function displayEmailForm($id,$emailConfig,$report){
  		global $mainframe;
		$mosConfig_live_site = $mainframe->getSiteURL();	
		JHTML::_('behavior.tooltip');
		$document = & JFactory::getDocument();
		$document->setTitle( JText::_('Send Mail') );
		$editor =& JFactory::getEditor();
  ?>
  	<script src="components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
    <script>
		jQuery.noConflict();
	</script>
	<script type="text/javascript">
        function submitbutton(pressbutton) {
            var form = document.adminForm;
            
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}
			if (pressbutton == 'testmail' && form.testmail.value == "") {
				alert("Please enter email test address!");
				return;
			}			
			<?php echo $editor->save("message"); ?>
			var message = form.message.value;
			var sign = form.sign.value;
			var subject = form.subject.value;
			
			if(subject == ""){
				alert("Please enter subject");
			}else if(message == ""){
				alert("Please enter message");
			}else{
				document.getElementById("contentForm").style.display="none";
				document.getElementById("loadding").style.display="block";
				jQuery.ajax({
				   type: "POST",
				   async: false,
				   url: "<?php echo $mosConfig_live_site."/administrator/index.php"; ?>",
				   data: "option=com_cb_report&controller=cb_report&task="+pressbutton+"&id=<?php echo $id; ?>&subject="+subject+"&message="+message+"&sign="+sign,
				   async: false,
				   success: function(html){
					 jQuery('#reportMessage').html(html);
					 jQuery("#contentForm").css({display: "block"});
					 jQuery("#loadding").css({display: "none"});
				   }
				});
				
			}
            //submitform( pressbutton );
            
        }
    </script>
    <style>
	#loadding{
		   display:none;
		   margin: 10px auto;
		   height: 19px;
		   width: 220px;
		   background-image: url(components/com_cb_report/js/skin/classic/loading.gif);
		   background-repeat: no-repeat;
		}
		#reportMessage{
			color:#ff0000;
			font-weight:bold;
			padding:10px;
			text-align:center;
		}
	</style>
  <div id="reportMessage"></div>
  <form action="index.php?option=com_cb_report" method="post" name="adminForm">
  <div id="loadding"></div>
   <div id="contentForm">
	<table class="admintable" cellpadding="1" width="100%">
		<tbody>
			<tr>
            	<td width="10%" align="right"><b><?php echo JText::_( 'Subject' ); ?></b>:</td>
                <td><input type="text" value="" name="subject" size="40" /></td>
            </tr>
            <tr>
            	<td width="10%" align="right"><b><?php echo JText::_( 'Test email' ); ?></b>:</td>
                <td><input type="text" value="" name="testmail" size="40" class="inputbox" /></td>
            </tr>
            <tr>
            	<td width="10%" align="right"><b><?php echo JText::_( 'Message' ); ?></b>:</td>
                <td>
					 <?php 
                        echo $editor->display('message', '', '500', '300', '50', '15');
					?>
                </td>
            </tr>
            <tr>
            	<td width="10%" align="right"><b><?php echo JText::_( 'Signature' ); ?></b>:</td>
                <td>
					 <?php 
                        echo $editor->display('sign', $emailConfig->sign_admin, '500', '200', '50', '15');
					?>
                </td>
            </tr>
		</tbody>
	</table>
   </div>
	<input type="hidden" name="id" value="<?php echo $id; ?>" />
	<input type="hidden" name="option" value="com_cb_report" />
    <input type="hidden" name="controller" value="cb_report" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
  <?php
}
  }

?>
