<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class cb_reportConfigEmailComponentView extends JView
{
	/**
	 * Display the view
	 */
	 var $item;
	 
	function setModel($model){
		$this->item = $model->item;
	}
	function display()
	{
		//DEVNOTE: set document title
		global $mainframe;
		$mosConfig_live_site = $mainframe->getSiteURL();
		
		$document = & JFactory::getDocument();
		$document->setTitle( JText::_('CB Report: Email Preferences') );
		JHTML::_('behavior.tooltip');
    //DEVNOTE: Print Hellpworld and language name
	$editor =& JFactory::getEditor();
  ?>
    <script type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			
			var text = <?php echo $editor->getContent( 'sign_admin' ); ?>
			
			submitform( pressbutton );
			
		}
	</script>
  <div style="padding-bottom:10px;">Select the admin email and sign for email</div>      
  <form action="index.php?option=com_cb_report&controller=email_config" method="post" name="adminForm">
	<table class="admintable" cellspacing="1" border="0">
       <tr valign="top"><td>
       		<table cellpadding="1">
                <tr>
                    <td valign="top">
                        <label for="gid">
                            <?php echo JText::_( 'Email' ); ?>:
                        </label>
                    </td>
                    <td>
                        <input type="text" value="<?php echo $this->item->email_admin; ?>" name="email_admin" />
                    </td>
                </tr>
                <tr>
					<td valign="top">
						<label for="description">
							<?php echo JText::_( 'Signature' ); ?>:
						</label>
					</td>
					<td>
                        <?php 
                        	echo $editor->display('sign_admin', $this->item->sign_admin, '100%', '400', '70', '15');
						?>
					</td>
				</tr>
            </table>
         </td>
      </tr>
	</table>

	<input type="hidden" name="option" value="com_cb_report" />
    <input type="hidden" name="controller" value="email_config" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php 
  }
}
?>
