<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.helper');

require_once(JPATH_COMPONENT.DS.'controller.php');
require_once(JPATH_SITE.DS.'administrator/components/com_cb_report/models/config.php');
require_once(JPATH_SITE.DS.'administrator/components/com_cb_report/models/cb_report.php');


$UElanguagePath		=	JPATH_BASE.'/components/com_comprofiler/plugin/language';
if ( file_exists( $UElanguagePath.'/' . $mainframe->getCfg( 'lang' ) . '/' . $mainframe->getCfg( 'lang' ) . '.php' ) ) {
	include_once( $UElanguagePath . '/' . $mainframe->getCfg( 'lang' ) . '/' . $mainframe->getCfg( 'lang' ) . '.php' );
} else {
	include_once( $UElanguagePath . '/default_language/default_language.php' );
}





// Create the controller
$controller = new CBReportController();

$Itemid	= JRequest::getVar('Itemid', '', 'default', 'string');

$task = JRequest::getVar('task', null, 'default', 'cmd');

if($task == "export_cvs") $controller->registerTask("export_cvs","exportCvs");
if($task == "viewReport") $controller->registerTask("viewReport","viewReport");

if($task == "testmail") $controller->registerTask("testmail","testMail");
if($task == "sendmail") $controller->registerTask("sendmail","sendMail");
if($task == "cancel") $controller->registerTask("cancel","cancel");

// Perform the Request task
$controller->execute(JRequest::getVar('task', null, 'default', 'cmd'));

// Redirect if set by the controller
$controller->redirect();


function getLangDefinition($text) {
	// check for '::' as a workaround of bug #42770 in PHP 5.2.4 with optimizers:
	if ( ( strpos( $text, '::' ) === false ) && defined( $text ) ) {
		$returnText		=	constant( $text ); 
	} else {
		$returnText		=	$text;
	}
	return $returnText;
}