<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

global $my,$Itemid;
$mosConfig_live_site = JURI::base();
$my = &JFactory::getUser();
?>
<script src="administrator/components/com_cb_report/js/jquery.js" type="text/javascript" language="javascript"></script>
<script src="administrator/components/com_cb_report/js/shadowbox-jquery.js" type="text/javascript" language="javascript"></script>
<script src="administrator/components/com_cb_report/js/shadowbox.js" type="text/javascript" language="javascript"></script>
<script>
jQuery.noConflict();
Shadowbox.loadSkin('classic', 'administrator/components/com_cb_report/js/skin');
Shadowbox.loadLanguage('en', 'administrator/components/com_cb_report/js/lang');
Shadowbox.loadPlayer(['html'], 'administrator/components/com_cb_report/js/player');
jQuery(document).ready(function () {
        Shadowbox.init({
            skipSetup: true
        });
    
});
function showViewBox(id){
    jQuery.ajax({
       type: "POST",
       async: false,
       url: "<?php echo $mosConfig_live_site."/index.php"; ?>",
       data: "option=com_cb_report&task=viewReport&id="+id,
       success: function(html){
            Shadowbox.open({
                    player:     'html',
                    title:      'View Detail Report',
                    content:    html,
                    height:     500,
                    width:      900
            });
       }
    });
}
function openWindow(id,publish,access){
	if(publish == 0){
		Shadowbox.open({
                    player:     'html',
                    title:      'Dowload Report',
                    content:    '<div class="warning">This report isn\'t public!</div>',
                    height:     300,
                    width:      300
            });
	}else{
		if(access != 0)
    		myRef = window.open('<?php echo $mosConfig_live_site; ?>/index2.php?option=com_cb_report&task=export_cvs&id='+id,'mywin','left=200,top=200,width=200,height=200,toolbar=0,resizable=0,status=0,menubar=0,location=0');
		else{
			Shadowbox.open({
                    player:     'html',
                    title:      'Dowload Report',
                    content:    '<div class="warning">This report is protected by access level!</div>',
                    height:     300,
                    width:      300
            });
		}	
	}
}
</script>  
<style>
table.adminlist {
	width: 100%;
	border-spacing: 1px;
	background-color: #e7e7e7;
	color: #666;
}

table.adminlist td,
table.adminlist th { padding: 4px; }

table.adminlist thead th {
	text-align: center;
	background: #f0f0f0;
	color: #666;
	border-bottom: 1px solid #999;
	border-left: 1px solid #fff;
}

table.adminlist thead a:hover { text-decoration: none; }

table.adminlist thead th img { vertical-align: middle; }

table.adminlist tbody th { font-weight: bold; }

table.adminlist tbody tr			{ background-color: #fff;  text-align: left; }
table.adminlist tbody tr.row1 	{ background: #f9f9f9; border-top: 1px solid #fff; }

table.adminlist tbody tr.row0:hover td,
table.adminlist tbody tr.row1:hover td  { background-color: #ffd ; }

table.adminlist tbody tr td 	   { height: 25px; background: #fff; border: 1px solid #fff; }
table.adminlist tbody tr.row1 td { background: #f9f9f9; border-top: 1px solid #FFF; }

table.adminlist tfoot tr { text-align: center;  color: #333; }
table.adminlist tfoot td,
table.adminlist tfoot th { background-color: #f3f3f3; border-top: 1px solid #999; text-align: center; }

table.adminlist td.order 		{ text-align: center; white-space: nowrap; }
table.adminlist td.order span { float: left; display: block; width: 20px; text-align: center; }

table.adminlist .pagination { display:table; padding:0;  margin:0 auto;	 }

.pagination div.limit {
	float: left;
	height: 22px;
	line-height: 22px;
	margin: 0 10px;
}
.warning{
	padding:10px;
	font-weight:bold;
}
</style>
<table class="adminlist" cellpadding="1" border="0">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th class="title">
                    <?php echo JHTML::_('grid.sort',   'Name', 'a.title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="5%" class="title" nowrap="nowrap">
                    <?php echo JHTML::_('grid.sort',   'Public', 'a.public', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
                <th width="5%" class="title" nowrap="nowrap">
                    <?php echo JHTML::_('grid.sort',   'Access Level', 'a.access', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="5%" class="title">
					<?php echo JText::_( 'View' ); ?>
				</th>
				<th width="10%" class="title">
					<?php echo JText::_( 'Download' ); ?>
				</th>
                <th width="10%" class="title">
					<?php echo JText::_( 'Send Mail' ); ?>
				</th>
			</tr>
		</thead>
       	<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->reports ); $i < $n; $i++)
			{
				$row 	=& $this->reports[$i];

				$img 	= $row->public ? 'tick.png' : 'publish_x.png';
				$alt 	= $row->public ? JText::_( 'Public' ) : JText::_( 'Public' );
				$access = 0;
				if($row->access_level == 'Public') $access = 1;
				else{
					if($row->access_level == "Registered") $access_level = 1;
					else $access_level = 2;
					if($access_level == $my->gid || $my->gid == 25) $access = 1;
					else  $access = 0;
				}

			?>
			<tr class="<?php echo "row$k"; ?>">
				<td align="center">
					<?php echo $i+1+$this->pagination->limitstart;?>
				</td>
				<td>
                        <?php echo $row->title; ?>
				</td>
				<td align="center">
						<img src="administrator/images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" />
				</td>
                <td align="center">
                	<?php echo $row->access_level; ?>
				</td>
				<td align="center">
                    <!-- <img src="administrator/images/search_f2.png" width="16" height="16" border="0" alt="view detail" onclick="showViewBox('<?php echo $row->id; ?>')" style="cursor:pointer;"/> -->
                    <a href="index.php?option=com_cb_report&view=detail&Itemid=<?php echo $Itemid; ?>&id=<?php echo $row->id; ?>"><img src="administrator/images/search_f2.png" width="16" height="16" border="0" alt="view detail" style="cursor:pointer;"/></a>
				</td>
				<td nowrap="nowrap" align="center">
                    <img src="administrator/images/save_f2.png" width="16" height="16" border="0" alt="download file" onclick="openWindow('<?php echo $row->id; ?>','<?php echo $row->public; ?>','<?php echo $access; ?>')" style="cursor:pointer;" />
				</td>
                <td nowrap="nowrap" align="center">
                	<a href="index.php?option=com_cb_report&view=sendmail&Itemid=<?php echo $Itemid; ?>&id=<?php echo $row->id; ?>">
                    	<img src="administrator/images/messaging.png" width="16" height="16" border="0" alt="send email" />
                    </a>
				</td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>