<?php
/*------------------------------------------------------------------------
# com_cb_report - Create User Report for Community Builder
# ------------------------------------------------------------------------
# author    Vsmart Extensions
# copyright Copyright (C) 2010 www.vsmart-extensions.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vsmart-extensions.com
# Technical Support:  Forum - http://www.vsmart-extensions.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.view');

class cbreportViewreport extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option, $Itemid;
		
		$uri 	  =& JFactory::getURI();
		$model	  = &$this->getModel();
		$document =& JFactory::getDocument();
		//url
		
		$pparams = &$mainframe->getParams('com_cb_report');

		// Selected Request vars
		$limit			= JRequest::getVar('limit',$mainframe->getCfg('list_limit'),'', 'int');
		
		$limitstart		= JRequest::getVar('limitstart',0,'', 'int');
		
		$filter_order		= JRequest::getVar( 'filter_order', 'a.id', 'post', 'string' );
		$filter_order_Dir	= JRequest::getVar( 'filter_order_Dir', 'asc', 'post', 'string' );

		// query options
		$options['limit']		= $limit;
		$options['limitstart']	= $limitstart;

		$reports	= $model->getReports( $options );
		$total 		= $model->getReportCount( $options );
		
		$document->setTitle(JText::_('User Report'));
		$app	= &JFactory::getApplication();
		$router = &$app->getRouter();
		$router->setVar("limit",$limit);
		jimport('joomla.html.pagination');
		$pagination = new JPagination($total, $limitstart, $limit);
		
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order']		= $filter_order;

		$this->assignRef('reports',		$reports);
		$this->assignRef('pagination',	$pagination);
		$this->assignRef('lists',	$lists);
		$this->assignRef('params',		$pparams);

		$this->assign('action',		$uri->toString());

		parent::display($tpl);
	}
}